Bug 802 - C variable declaration fix for old gcc in i915 code
Summary: C variable declaration fix for old gcc in i915 code
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/Ext/GLX (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-25 04:59 UTC by Alexander Gottwald
Modified: 2004-06-30 11:48 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
proposed fix (1.28 KB, patch)
2004-06-25 05:00 UTC, Alexander Gottwald
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Gottwald 2004-06-25 04:59:02 UTC
Some variables are declared after first statements
Comment 1 Alexander Gottwald 2004-06-25 05:00:28 UTC
Created attachment 419 [details] [review]
proposed fix

moves variable declaration before BATCH_LOCALS macro
Comment 2 Alan Hourihane 2004-07-01 04:34:19 UTC
Go ahead and commit this Alex.
Comment 3 Alexander Gottwald 2004-07-01 04:48:13 UTC
/cvs/xorg/xc/ChangeLog,v  <--  ChangeLog
new revision: 1.79; previous revision: 1.78
/cvs/xorg/xc/extras/Mesa/src/mesa/drivers/dri/i915/i830_vtbl.c,v  <--  i830_vtbl.c
new revision: 1.2; previous revision: 1.1
/cvs/xorg/xc/extras/Mesa/src/mesa/drivers/dri/i915/i915_vtbl.c,v  <--  i915_vtbl.c
new revision: 1.2; previous revision: 1.1

marked as fixed


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.